# Uses of Interface
org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry

Packages that use InternalCDOPackageRegistry
Package
Description
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOPackageRegistry in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model with parameters of type InternalCDOPackageRegistry
Modifier and Type
Method
Description
`static EMFUtil.ExtResourceSet`
EMFUtil.`createExtResourceSet(InternalCDOPackageRegistry packageRegistry, boolean delegating, boolean demandLoading)`

## Uses of InternalCDOPackageRegistry in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return InternalCDOPackageRegistry
Modifier and Type
Method
Description
`InternalCDOPackageRegistry`
IStoreAccessor.CommitContext.`getPackageRegistry()`
Returns the temporary, transactional package manager associated with the commit operation represented by this `CommitContext`.
`InternalCDOPackageRegistry`
CDOServerImporter.Handler.`handleModels()`
Methods in org.eclipse.emf.cdo.server with parameters of type InternalCDOPackageRegistry
Modifier and Type
Method
Description
`protected String`
CDOServerBrowser.PackagesPage.`showPackage(InternalCDOPackageInfo info, InternalCDOPackageRegistry packageRegistry, CDOServerBrowser browser, String param, PrintStream out, String prefix)`

## Uses of InternalCDOPackageRegistry in org.eclipse.emf.cdo.spi.common.model

Classes in org.eclipse.emf.cdo.spi.common.model that implement InternalCDOPackageRegistry
Modifier and Type
Class
Description
`class`
`DelegatingCDOPackageRegistry`
Deprecated.
Methods in org.eclipse.emf.cdo.spi.common.model that return InternalCDOPackageRegistry
Modifier and Type
Method
Description
`protected abstract InternalCDOPackageRegistry`
DelegatingCDOPackageRegistry.`getDelegate()`
Deprecated.
`InternalCDOPackageRegistry`
InternalCDOPackageUnit.`getPackageRegistry()`
Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type InternalCDOPackageRegistry
Modifier and Type
Method
Description
`void`
InternalCDOPackageUnit.`setPackageRegistry(InternalCDOPackageRegistry packageRegistry)`

## Uses of InternalCDOPackageRegistry in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalCDOPackageRegistry
Modifier and Type
Method
Description
`InternalCDOPackageRegistry`
InternalRepository.`getPackageRegistry()`
Same as calling `getPackageRegistry(true)`.
`InternalCDOPackageRegistry`
InternalRepository.`getPackageRegistry(boolean considerCommitContext)`

## Uses of InternalCDOPackageRegistry in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOPackageRegistry
Modifier and Type
Method
Description
`InternalCDOPackageRegistry`
InternalCDOSession.`getPackageRegistry()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOPackageRegistry
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setPackageRegistry(InternalCDOPackageRegistry packageRegistry)`